Index: InfoService/InfoService/Twitter/TwitterConnector/Xml/TimelineXmlParser.cs
===================================================================
--- InfoService/InfoService/Twitter/TwitterConnector/Xml/TimelineXmlParser.cs	(revision 78477)
+++ InfoService/InfoService/Twitter/TwitterConnector/Xml/TimelineXmlParser.cs	(working copy)
@@ -59,7 +59,7 @@
                             Name = TwitterXmlParser.ParseString(node.Element("user").Element("name"), "status[" + i + "]/user/name"),
                             FollowersCount = TwitterXmlParser.ParseInteger(node.Element("user").Element("followers_count"), "status[" + i + "]/user/followerscount"),
                             FriendsCount = TwitterXmlParser.ParseInteger(node.Element("user").Element("friends_count"), "status[" + i + "]/user/friendscount"),
-                            PicturePath = TwitterXmlParser.ParseString(node.Element("user").Element("profile_image_url"), "status[" + i + "]/user/picturepath")
+                            PicturePath = TwitterXmlParser.ParseString(node.Element("user").Element("profile_image_url"), "status[" + i + "]/user/picturepath").Replace("_normal.", ".")
                         };
                     }
                     else LogEvents.InvokeOnWarning(new TwitterArgs("No user for the tweet \"" + twit.Text + "\" in the " + type + " timeline found."));
@@ -81,7 +81,7 @@
                                 Name = TwitterXmlParser.ParseString(node.Element("user").Element("name"), "status[" + i + "]/retweeted_status/user/name"),
                                 FollowersCount = TwitterXmlParser.ParseInteger(node.Element("user").Element("followers_count"), "status[" + i + "]/retweeted_status/user/followerscount"),
                                 FriendsCount = TwitterXmlParser.ParseInteger(node.Element("user").Element("friends_count"), "status[" + i + "]/retweeted_status/user/friendscount"),
-                                PicturePath = TwitterXmlParser.ParseString(node.Element("user").Element("profile_image_url"), "status[" + i + "]/retweeted_status/user/picturepath")
+                                PicturePath = TwitterXmlParser.ParseString(node.Element("user").Element("profile_image_url"), "status[" + i + "]/retweeted_status/user/picturepath").Replace("_normal.", ".")
 
                             };
                         }
